#pragma once
#include "Preferences.h"
#include "Addons/ConChecker/ConChecker.h" // X-Ray :: ConChecker

class CPPg_X_Connection : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPg_X_Connection)

public:
	CPPg_X_Connection();
	virtual ~CPPg_X_Connection();

	// Dialog Data
	enum { IDD = IDD_PPG_X_CONNECTION };

	void Localize(void);

	afx_msg void OnSettingsChange()		{ SetModified(); }

	WombatAgent::CConChecker conchecker; // X-Ray :: ConChecker

protected:

	void LoadSettings();
	void SetAllIcons();

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();

	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

	DECLARE_MESSAGE_MAP()

private:
	void OnASLCheck(); // X-Ray :: AutoSoftLock
	void OnConCheckerChk(); // X-Ray :: ConChecker
	void ShowVariableReaskTime(); // X-Ray :: VariableReaskTime
};
